"""
Parameter study: transmitted torque

Variation of the torque transmitted via the HSK interface.

Author: F. Birk
"""

import numpy as np

joblist = []

Drehmoment = np.linspace(10, 130.0, num=13)

for g_M_t in Drehmoment:

    g_Emod_H = 210000.0
    g_Emod_A = 210000.0
    g_q = 0
    g_reib = 0.15
    g_F_sp = 18000.0
    g_Umin = 25000.0
    g_d_1 = 63.0

    string = str(g_M_t).replace('.', '_')
    g_Jobname = 'Berechnung-' + string + '-mit-er'
    joblist.append(g_Jobname)

    execfile('HSK_63_axi.py', __main__.__dict__)
    Mdb()

    g_q = 1
    g_Jobname = 'Berechnung-' + string + '-mit-fr'
    joblist.append(g_Jobname)

    execfile('HSK_63_axi.py', __main__.__dict__)

paramsFile = open('joblist_M_T.txt', 'w')
for job in joblist:
    paramsFile.write(str(job) + '\n')
paramsFile.close()